Edit report content
curl --request PATCH \
--url https://aquila.attaxr.com/api/reports/{id}/content \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"contentMd": "<string>",
"baseVersion": 4503599627370495
}
'const options = {
method: 'PATCH',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({contentMd: '<string>', baseVersion: 4503599627370495})
};
fetch('https://aquila.attaxr.com/api/reports/{id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/reports/{id}/content"
payload = {
"contentMd": "<string>",
"baseVersion": 4503599627370495
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Reports
Edit report content
Saves a user edit to a completed report’s Markdown. Edits never regenerate the report.
PATCH
/
api
/
reports
/
{id}
/
content
Edit report content
curl --request PATCH \
--url https://aquila.attaxr.com/api/reports/{id}/content \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"contentMd": "<string>",
"baseVersion": 4503599627370495
}
'const options = {
method: 'PATCH',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({contentMd: '<string>', baseVersion: 4503599627370495})
};
fetch('https://aquila.attaxr.com/api/reports/{id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/reports/{id}/content"
payload = {
"contentMd": "<string>",
"baseVersion": 4503599627370495
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Body
application/json
Response
The saved report.

